/****************************************************************************
 *
 * CRI Middleware SDK
 *
 * Copyright (c) 2015-2020 CRI Middleware Co., Ltd.
 *
 * Library  : CRIWARE plugin for Unreal Engine 4
 * Module   : Details Customization for Atom Cue Asset
 * File     : AtomCueDetailsCustomization.h
 *
 ****************************************************************************/

 /* 多重定義防止 */
#pragma once

/***************************************************************************
 *      インクルードファイル
 *      Include files
 ***************************************************************************/
 /* Unreal Engine 4関連ヘッダ */
#include "DetailLayoutBuilder.h"
#include "IDetailCustomization.h"

/***************************************************************************
 *      定数マクロ
 *      Macro Constants
 ***************************************************************************/

 /***************************************************************************
  *      処理マクロ
  *      Macro Functions
  ***************************************************************************/

  /***************************************************************************
   *      データ型宣言
   *      Data Type Declarations
   ***************************************************************************/

   /***************************************************************************
	*      変数宣言
	*      Prototype Variables
	***************************************************************************/

	/***************************************************************************
	 *      クラス宣言
	 *      Prototype Classes
	 ***************************************************************************/
class FAtomCueDetailsCustomization : public IDetailCustomization
{
public:
	/** Makes a new instance of this detail layout class for a specific detail view requesting it */
	static TSharedRef<IDetailCustomization> MakeInstance();

	/** IDetailCustomization interface */
	virtual void CustomizeDetails(IDetailLayoutBuilder& DetailLayout) override;
};

/***************************************************************************
 *      関数宣言
 *      Prototype Functions
 ***************************************************************************/

 /* --- end of file --- */
#pragma once
